<div class="drawer">
  <ng-container *ngIf="anyNotifications(); then list; else empty"></ng-container>


  <ng-template #list>
    <div
      [infiniteScrollDisabled]="notificationService.isFullListDisplayed"
      (scrolled)="onScroll()"
      [scrollWindow]="true"
      infiniteScroll
      class="list">

      <mat-card style="margin-bottom: 5px">
        <h2 style="text-align: center; margin-bottom: 5px">Notifications</h2>
        <div>
          <p style="margin: 0; text-align: right" >Read: {{readNotifications()}},           Unread: {{unreadNotifications()}}</p>
        </div>
        <div>
          <button (click)="setAllStateToRead(notificationService.notificationsToShow)" mat-flat-button>
            Mark All as Read <mat-icon mat-list-icon>done</mat-icon>
          </button>
          <button
            (click)="setAllStateToRead(notificationService.notificationsToShow)" mat-button>
            <mat-icon mat-list-icon>settings </mat-icon>
          </button>
        </div>

      </mat-card>

      <ng-container *ngFor="let notification of notificationService.notificationsToShow">
        <notification-card (mouseenter)="setStateToRead(notification)"
                           [notification]="notification"></notification-card>
        <mat-divider></mat-divider>
      </ng-container>
    </div>
  </ng-template>
</div>

<ng-template #empty>
  <div class="no-notifications-container">
    <p>
      {{ 'No notifications found'  }}
    </p>
  </div>
</ng-template>
